package com.bcxin.ins.service.order;

import com.bcxin.ins.entity.policy_core.InsShipInvoices;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;


public interface ShipInvoicesAPIService extends IService<InsShipInvoices> {
	
	/** 根据ID获取发票
	 * 	没取到返回null
	 * */
	public InsShipInvoices getShipInvoicesById(Long id);
	
	/** 根据出运ID获取发票
	 * 	没取到返回null
	 * */
	public List<InsShipInvoices> getShipInvoicesByShipDeclareId(Long shipDeclareId);
	
	/** 根据逾期ID获取发票
	 * 	没取到返回null
	 * */
	public List<InsShipInvoices> getShipInvoicesByShipExpireId(Long shipExpireId);
	
}
